Bug 854761 - CVE-2012-4406 Openstack-Swift: insecure use of python pickle() [fedora-all]
CVE-2012-4406 Openstack-Swift: insecure use of python pickle() [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openstack-swift (Show other bugs)
17
All Linux
high Severity high
: ---
: ---
Assigned To: Derek Higgins
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-4406
  Show dependency treegraph
 
Reported: 2012-09-05 14:51 EDT by Kurt Seifried
Modified: 2012-10-18 04:36 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 04:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Default to 0 (pickle) (14.86 KB, patch)
2012-09-07 01:31 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2012-09-05 14:51:17 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=854757

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Alan Pevec 2012-09-06 04:46:01 EDT
I'm not sure this patch is good for stable updates as-is, at least I'd modify it to have memcache_serialization_support=0 as default and add in update description suggested upgrade procedure, from commit message:
    To avoid an instant full cache flush, existing installations should
    upgrade with 0, then set to 1 and reload, then after some time (24
    hours) set to 2 and reload. Support for 0 and 1 will be removed in
    future versions.
Comment 2 Pete Zaitcev 2012-09-07 01:31:57 EDT
Created attachment 610623 [details]
Default to 0 (pickle)

How about this, then - keep the default compatible.

The attached patch also adjusts the documentation to point it out.
Comment 3 Alan Pevec 2012-09-17 13:25:20 EDT
Looks good, have at it!
Comment 4 Alan Pevec 2012-09-18 16:52:32 EDT
There's followup fix (which just caused folsom swift respin)
https://review.openstack.org/#/c/13217/1/swift/common/middleware/memcache.py,unified
Comment 5 Derek Higgins 2012-09-27 12:51:49 EDT
Hi Pete,
   I can't see your patch for some reason (not authorized), do you want me to take a look at it and push into f17? or are you going to make the change?
Comment 6 Pete Zaitcev 2012-09-27 13:42:45 EDT
Derek, if you can do the commit-build-push, it would be a great help.
Sorry to make you do it. I marked the attachment public.
Comment 7 Fedora Update System 2012-09-28 11:07:01 EDT
openstack-swift-1.4.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-swift-1.4.8-2.fc17
Comment 8 Fedora Update System 2012-09-28 15:38:41 EDT
openstack-swift-1.4.8-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openstack-swift-1.4.8-3.fc17
Comment 9 Fedora Update System 2012-09-29 22:28:37 EDT
Package openstack-swift-1.4.8-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openstack-swift-1.4.8-3.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15098/openstack-swift-1.4.8-3.fc16
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.